/*!
 * CSS3 Microsoft Metro Buttons
 * Inspired by Tim O'Donnell's CSS3 Google Buttons, Twitter Bootstrap, and Microsoft. Icons from glyphicons.com and Syncfusion's Metro Studio.
 * I do not claim ownership on the origin of design and icons.
 * Built by Ace Subido (http://github.com/ace-subido)
 */
a:focus {
    outline: thin dotted;
    outline: 5px auto -webkit-focus-ring-color;
    outline-offset: -2px;
}
a:hover, a:active {
    outline: 0;
}
button,
input,
select,
textarea {
    margin: 0;
    font-size: 100%;
    /*vertical-align: middle;*/

}
button, input {
    *overflow: visible;
    line-height: normal;
}
button::-moz-focus-inner, input::-moz-focus-inner {
    padding: 0;
    border: 0;
}
button,
input[type="button"],
input[type="reset"],
input[type="submit"] {
    cursor: pointer;
    -webkit-appearance: button;
    -moz-appearance: none;
}
/* overrides button presets for mozilla clients*/
@-moz-document url-prefix() {
    button,
    input[type="button"],
    input[type="reset"],
    input[type="submit"] {
        cursor: pointer;
        padding: 6px 14px;
    }
}
input[type="search"] {
    -webkit-appearance: textfield;
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    box-sizing: content-box;
}
input[type="search"]::-webkit-search-decoration, input[type="search"]::-webkit-search-cancel-button {
    -webkit-appearance: none;
}
.dropdown {
    position: relative;
}
.dropdown-toggle {
    *margin-bottom: -3px;
}
.dropdown-toggle:active, .open .dropdown-toggle {
    outline: 0;
}

.caret {
    display: inline-block;
    width: 0;
    height: 0;
    text-indent: -99999px;
    *text-indent: 0;
    vertical-align: top;
    margin-top: 5px;
    margin-left: 2px;
    margin-right: 2px;
    border-left: 4px solid transparent;
    border-right: 4px solid transparent;
    border-top: 4px solid black;
    opacity: 0.5;
    filter: alpha(opacity=50);
    content: "\2193";
}
.caret.white{
    border-left: 4px solid transparent;
    border-right: 4px solid transparent;
    border-top: 4px solid white;
    opacity: 0.95;
    filter: alpha(opacity=95);
}
.dropdown .caret {
    margin-top: 8px;
    margin-left: 2px;
}

.dropdown:hover .caret, .open.dropdown .caret {
    opacity: 1;
    filter: alpha(opacity=100);
}

.m-dropdown-menu {
    position: absolute;
    top: 98%;
    left: 0;
    z-index: 1000;
    float: left;
    display: none;
    min-width: 225px;
    max-width: 225px;
    padding: 0 0 6px 0;
    margin: 0 0 0;
    list-style: none;
    background-color: #333;

    -webkit-box-shadow: 0 1px 8px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0 1px 8px rgba(0, 0, 0, 0.1);
    box-shadow: 0 1px 8px rgba(0, 0, 0, 0.1);

    font-size: 14px;
    /*font-family: "Segoe UI",Helvetica, Arial, sans-serif;*/

    border: 1px solid #666;

}

.m-dropdown-menu.bottom-up {
    top: auto;
    bottom: 100%;
    margin-bottom: 2px;
}

.m-dropdown-menu .divider {
    border-top: 1px solid #ebebeb;
    margin-top: 9px;
    margin-bottom: 10px;
    padding: 0;
    cursor: default;
}
.m-dropdown-menu a {
    position: relative;
    padding: 6px 0 6px 30px;
    color: #333;
    text-decoration: none;
    display: block;
    clear: both;
    font-weight: normal;
    line-height: 18px;
    white-space: nowrap;
}
.m-dropdown-menu a [class^="icon-"] {
    position: absolute;
    left: 7px;
    top: 8px;
}
.m-dropdown-menu li > a:hover, .m-dropdown-menu .active > a, .m-dropdown-menu .active > a:hover {
    text-decoration: none;
    background-color: #111;
}
.dropdown.open {
    *z-index: 1000;
}
.dropdown.open .dropdown-toggle {
    color: #08c;
    background: #ccc;
    background: rgba(0, 0, 0, 0.3);
}
.dropdown.open .m-dropdown-menu {
    display: block;
}

.m-btn {
    position: relative;
    display: inline-block;
    overflow: visible;
    margin: 0;
    padding: 10px 14px;
    margin-top: 8px;
    cursor: pointer;
    border: 1px solid #ecc737;
    border-radius: 1px;
    background-color: #ecc737;

    zoom: 1;
    z-index: 1;
    *display: inline;
    font-family: "Segoe UI", Helvetica, Arial, sans-serif;
    font-size: 14px;
    line-height: 14px;
    color: #000;
    min-width: 42px;

    text-align: center;
    text-decoration: none;
    white-space: nowrap;

    vertical-align: inherit;
}
.m-btn:hover,
.m-btn:focus,
.m-btn:active,
.m-btn.active {
    color: #ecc737;
    text-decoration: none;
    background-color: #111;
    border: 1px solid #ecc737;
    z-index: 100;
}
.m-btn:active, .m-btn.active {
    -webkit-box-shadow: inset 0 1px 8px rgba(0, 0, 0, 0.25);
    -moz-box-shadow: inset 0 1px 8px rgba(0, 0, 0, 0.25);
    box-shadow: inset 0 1px 8px rgba(0, 0, 0, 0.25);
}
.m-btn:focus {
    /* Blue border on button focus. */
    /* border-color: #4D90FE; */
}
/* overrides extra padding on button elements in Firefox */
.m-btn::-moz-focus-inner {
    padding: 0;
    border: 0;
}
.m-btn.red-stripe
{
    border-left: 3px solid #d84a38;
}

.m-btn.blue-stripe
{
    border-left: 3px solid #4d90fe;
}

.m-btn.purple-stripe
{
    border-left: 3px solid #852b99;
}

.m-btn.green-stripe
{
    border-left: 3px solid #35aa47;
}

/* Common button classes */
.m-btn.red:active,
.m-btn.red.active,
.m-btn.red.disabled,
.m-btn.red[disabled],
.m-btn.blue:active,
.m-btn.blue.active,
.m-btn.blue.disabled,
.m-btn.blue[disabled],
.m-btn.purple:active,
.m-btn.purple.active,
.m-btn.purple.disabled,
.m-btn.purple[disabled],
.m-btn.green:active,
.m-btn.green.active,
.m-btn.green.disabled,
.m-btn.green[disabled],
.m-btn.black:active,
.m-btn.black.active,
.m-btn.black.disabled,
.m-btn.black[disabled]
{
    -webkit-box-shadow: inset 0 1px 8px rgba(0, 0, 0, 0.25);
    -moz-box-shadow: inset 0 1px 8px rgba(0, 0, 0, 0.25);
    box-shadow: inset 0 1px 8px rgba(0, 0, 0, 0.25);
    color: white !important;
}
.m-btn.red.disabled,
.m-btn.red[disabled],
.m-btn.blue.disabled,
.m-btn.blue[disabled],
.m-btn.purple.disabled,
.m-btn.purple[disabled],
.m-btn.green.disabled,
.m-btn.green[disabled]
{
    opacity: .7;
}

.m-btn.black.disabled,
.m-btn.black[disabled]
{
    opacity: .5;
}

/*  Red */
.m-btn.red {
    color: white;
    background-color: #d84a38;
    border: 0;
}
.m-btn.red:hover,
.m-btn.red:focus,
.m-btn.red:active,
.m-btn.red.active,
.m-btn.red[disabled],
.m-btn.red.disabled {
    background-color: #c53727;
}

.m-btn.red:active,
.m-btn.red.active
{
    background-color: #dd4b39;
}

/*  Blue */
.m-btn.blue
{
    color: white;
    background-color: #4d90fe;
    border: 0;
}

.m-btn.blue:hover,
.m-btn.blue:focus,
.m-btn.blue:active,
.m-btn.blue.active,
.m-btn.blue[disabled],
.m-btn.blue.disabled {
    background-color: #0072bb;
}

.m-btn.blue:active,
.m-btn.blue.active
{
    background-color: #4d90fe;
}

/*  Green */
.m-btn.green {
    color: white;
    background-color: #35aa47;
    border: 0;
}

.m-btn.green:hover,
.m-btn.green:focus,
.m-btn.green:active,
.m-btn.green.active,
.m-btn.green.disabled,
.m-btn.green[disabled]{
    background-color: #1d943b;
}

.m-btn.green:active,
.m-btn.green.active
{
    background-color: #35aa47;
}

/*  Purple */
.m-btn.purple {
    color: white;
    background-color: #852b99;
    border: 0;
}

.m-btn.purple:hover,
.m-btn.purple:focus,
.m-btn.purple:active,
.m-btn.purple.active,
.m-btn.purple.disabled,
.m-btn.purple[disabled] {
    background-color: #6d1b81;
}

.m-btn.purple:active,
.m-btn.purple.active
{
    background-color: #6d1b81;
}

.m-btn.black {
    color: white;
    background-color: #555;
    border: 0;
}

.m-btn.black:hover,
.m-btn.black:focus,
.m-btn.black:active,
.m-btn.black.active,
.m-btn.black.disabled,
.m-btn.black[disabled] {
    background-color: #222;
}

.m-btn.black:active,
.m-btn.black.active
{
    background-color: #222;
}

/*  Mini-button */
.sm {
    font-size: 11px;
}
.mini
{
    height: 13px;
    font-size: 11px;
    line-height: 13px;
    padding: 4px 10px;
}
.big
{
    height: 38px;
    font-size: 18px;
    line-height: 38px;
    padding: 20px 26px;
}

.rnd
{
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}

.big.rnd
{
    -webkit-border-radius: 11px;
    -moz-border-radius: 11px;
    border-radius: 11px;
}

/*  Disabled */
.m-btn.disabled, .m-btn[disabled] {
    color: #999999;
    background-color: #f5f5f5;
    cursor: default;
    -webkit-box-shadow: inset 0 1px 6px rgba(0, 0, 0, 0.25);
    -moz-box-shadow: inset 0 1px 6px rgba(0, 0, 0, 0.25);
    box-shadow: inset 0 1px 6px rgba(0, 0, 0, 0.25);
}
/*  Misc */
.m-btn.icn-only {
    min-width: 14px;
}
.m-btn.bigicn-only {
    min-width: 34px;
}
.m-btn-group {
    position: relative;
    display: inline-block;
    list-style: none;
    padding: 0;
    margin: 0;
    /* IE hacks */

    zoom: 1;
    *display: inline;
}
.m-btn + .m-btn,
.m-btn + .m-btn-group,
.m-btn-group + .m-btn,
.m-btn-group + .m-btn-group {
    margin-left: 15px;
}

.m-btn.dropdown-carettoggle {
    min-width: 5px;
    height: 18px;
    padding: 8px;
}
.m-btn.dropdown-carettoggle > .caret {
    margin-top: 8px;
}
.m-btn.caret:hover {
    opacity: 1;
}

.m-btn-group .m-btn {
    position: relative;
    float: left;
    margin-left: -1px;
}

.m-btn-group .m-btn:first-child {
    margin-left: 0;
}

.m-btn-group .m-btn.rnd:first-child {
    -webkit-border-radius: 5px 0 0 5px;
    -moz-border-radius: 5px 0 0 5px;
    border-radius: 5px 0 0 5px;
}

.m-btn-group .m-btn.rnd.dropdown-carettoggle {
    -webkit-border-radius: 0 5px 5px 0;
    -moz-border-radius: 0 5px 5px 0;
    border-radius: 0 5px 5px 0;
}

/* BUTTON CONTAINER */
/* For mixing buttons and button groups, e.g., in a navigation bar */
.m-btn-strip .m-btn, .m-btn-strip .m-btn-group {
    vertical-align: top;
}
.m-btn-group.open {
    *z-index: 1000;
}

.m-btn-group.open .dropdown-carettoggle,
.m-btn-group.open .dropdown-toggle {
    background-image: none;
    -webkit-box-shadow: inset 0 1px 6px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: inset 0 1px 6px rgba(0, 0, 0, 0.2);
    box-shadow: inset 0 1px 6px rgba(0, 0, 0, 0.2);
}

.m-btn-group.open .m-dropdown-menu {
    display: block;
    margin-top: 1px;
}